LSLOCKS(8)

NUME
lslocks - listează blocările sistemului local

REZUMAT

lslocks [opțiuni]

DESCRIERE

lslocks listează informații despre toate blocările de fișiere deținute în prezent într-un sistem Linux.

OPȚIUNI

-b, --bytes
    Print sizes in bytes rather than in human-readable form.

    By default, sizes are shown in units that are powers of 1024 bytes. The formal abbreviations for these units (KiB, MiB, GiB, ...) are further shortened to just their first letter: K, M, G, ....

-H, --list-columns
    List the columns that can be specified with the --output option. Can be used with --json or --raw to get the list in a machine-readable format.

-i, --noinaccessible
    Ignoră fișierele de blocare care sunt inaccesibile pentru utilizatorul curent.

-J, --json
    Utilizează formatul de ieșire JSON.

-n, --noheadings
    Nu imprimă o linie de antet.

-o, --output listă
    Specifică ce coloane de ieșire se vor imprima. Utilizați --help pentru a obține o listă cu toate coloanele acceptate.

    Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul +listă (de exemplu, lslocks -o +BLOCKER).

--output-all
    Afișează toate coloanele disponibile.

-p, --pid pid
    Afișează numai blocările deținute de procesul cu acest pid.

-Q, --filter expresia
    Print only the locks that meet the conditions specified by the expr.

    This feature is EXPERIMENTAL. See also scols-filter(5). For example exclude POSIX type locks, but print all READ mode ones locks on files with .qcow2 as extension:

        lslocks --filter 'TYPE != "POSIX" and MODE == "READ" and PATH =~ ".*\.qcow2"'

-r, --raw
    Utilizează formatul de ieșire brut.

-u, --notruncate
    Nu trunchiază textul din coloane.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

MEDIU

LIBSMARTCOLS_DEBUG=all
    activează ieșirea de depanare a libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    utilizează caractere de umplutură vizibile.

IEȘIRE

COMANDA
    Numele comenzii procesului care deține blocarea.

PID
    Identificatorul de proces al procesului .

TIP
    Tipul de blocare; poate fi LEASE (creat cu fcntl(2)), FLOCK (creat cu flock(2)), POSIX (creat cu fcntl(2) și lockf(3)) sau OFDLCK (creat cu fcntl(2)).

DIMENSIUNE
    Dimensiunea fișierului blocat.

NOD-I
    Numărul nodului-i.

MAJ:MIN
    Numărul dispozitivului major:minor.

MOD
    Permisiunile de acces ale blocării (citire, scriere). În cazul în care procesul este blocat și așteaptă blocarea, atunci modul este postfixat cu un "*" (asterisc).

M
    Dacă blocarea este obligatorie; 0 înseamnă nu (ceea ce înseamnă că blocarea este doar consultativă), 1 înseamnă da. (A se vedea fcntl(2).)

START
    Poziția relativă a octetului de blocare.

END
    Poziția finală a blocării.

RUTA
    Ruta completă a blocării. Dacă nu se găsește niciuna sau dacă nu există permisiuni de citire a rutei, se va reveni la punctul de montare al dispozitivului și se adaugă "..." la rută. Ruta poate fi trunchiată; utilizați --notruncate pentru a obține ruta completă.

BLOCKER
    PID-ul procesului care blochează blocarea.

DEȚINĂTORI
    Deținătorii de blocare. Formatul deținătorului este PID,COMANDA,DESC-FIȘIER. În cazul în care o blocare este o blocare orientată spre descrierea fișierelor deschise, poate exista mai mult de un deținător pentru această blocare. A se vedea notele de mai jos.

MEDIU

LSLOCKS_COLUMNS=
    Specifies a comma-separated list of output columns to print. All columns listed by --list-columns can be used.

NOTE

Comanda lslocks este menită să înlocuiască comanda lslk(8), scrisă inițial de și neîntreținută din 2001.

„Procesul care deține blocajul” în cazul concesiunilor, al blocajelor FLOCK și al blocajelor OFD este un concept fals. Acestea sunt asociate cu descrierea fișierului deschis pe care sunt obținute. Cu fork(2) și/sau cmsg(3), mai multe procese pot împărți o descriere de fișier deschis. Prin urmare, procesul deținător al unei concesiuni (sau al unui blocaj) nu este determinat în mod unic. lslocks afișează cel al proceselor deținătoare în coloanele COMANDA și PID.

The default output is subject to change. So whenever possible, you should avoid using default output in your scripts.

For OFD locks, the PID column may show -1. Such lines cannot be selected by the filter, because the current filter engine does not support negative numbers.

AUTORI

CONSULTAȚI ȘI

flock(1), fcntl(2), lockf(3), scols-filter(5)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda lslocks face parte din pachetul util-linux care poate fi descărcat de la